/* PSPP - computes sample statistics.
   Copyright (C) 1997 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA.

   The author may be contacted at <pfaffben@pilot.msu.edu> on the
   Internet, or as Ben Pfaff, 12167 Airport Rd, DeWitt MI 48820, USA
   through more mundane means. */

#if !lexerP_h
#define lexerP_h 1

/* Functions for coping with odd syntactic situations. */
int lookahead (void);
void putback (int);
char *get_rest_of_line (void);
char *get_dotted_rest_of_line (int *had_dot);
char *get_entire_line (void);
void discard_line (void);
const char *tokname (int);
int preprocess_line (void);
char *get_token_representation (void);
void convert_negative_to_dash (void);
void reset_eof (void);

#endif /* lexerP.h */
